Bug 32881 - System preferences sub menu text is hard to read
Summary: System preferences sub menu text is hard to read
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: Main
Hardware: All All
: P5 - low minor (vote)
Assignee: Pedro Amorim
QA Contact: Testopia
URL:
Keywords:
Depends on: 30952
Blocks: 32941
  Show dependency treegraph
 
Reported: 2023-02-03 16:09 UTC by Pedro Amorim
Modified: 2024-07-04 20:37 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.03


Attachments
syspref before and after (208.12 KB, image/jpeg)
2023-02-03 16:09 UTC, Pedro Amorim
Details
Bug 32881: System preferences sub menu text is hard to read (1.11 KB, patch)
2023-02-03 16:11 UTC, Pedro Amorim
Details | Diff | Splinter Review
Bug 32881: System preferences sub menu text is hard to read (1.16 KB, patch)
2023-02-03 17:59 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 32881: System preferences sub menu text is hard to read (1.22 KB, patch)
2023-02-05 12:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro Amorim 2023-02-03 16:09:10 UTC
Created attachment 146153 [details]
syspref before and after
Comment 1 Pedro Amorim 2023-02-03 16:11:29 UTC
Created attachment 146154 [details] [review]
Bug 32881: System preferences sub menu text is hard to read

This patch makes the font-size slightly larger and applies a background color to the selected submenu.

To test:
Go to system preferences
Click on any side menu item and check the items in the sub menu under it
Apply patch
run yarn build
Go to system preferences again and check the changes
Comment 2 Lucas Gass 2023-02-03 17:59:21 UTC
Created attachment 146167 [details] [review]
Bug 32881: System preferences sub menu text is hard to read

This patch makes the font-size slightly larger and applies a background color to the selected submenu.

To test:
Go to system preferences
Click on any side menu item and check the items in the sub menu under it
Apply patch
run yarn build
Go to system preferences again and check the changes

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Katrin Fischer 2023-02-05 12:00:14 UTC
Created attachment 146191 [details] [review]
Bug 32881: System preferences sub menu text is hard to read

This patch makes the font-size slightly larger and applies a background color to the selected submenu.

To test:
Go to system preferences
Click on any side menu item and check the items in the sub menu under it
Apply patch
run yarn build
Go to system preferences again and check the changes

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2023-02-06 21:36:43 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 5 Matt Blenkinsop 2023-02-07 15:24:08 UTC
Nice work everyone!

Pushed to stable for 22.11.x
Comment 6 Lucas Gass 2023-02-14 22:29:13 UTC
Missing dependencies in 22.05.x